org.hibernate.search.backend

## Class BackendFactory

- java.lang.Object
- - org.hibernate.search.backend.BackendFactory

-     public final class BackendFactory
      extends Object

  Factory to instantiate the `BackendQueueProcessor` implementations.

  Intended to be used by `BackendQueueProcessor` implementations looking to delegate to a different implementation.

  Author:
    Sanne Grinovero (C) 2011 Red Hat Inc., Hardy Ferentschik

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static BackendQueueProcessor` | `createBackend(IndexManager indexManager, WorkerBuildContext buildContext, Properties properties)`
    `static BackendQueueProcessor` | `createBackend(String backendName, IndexManager indexManager, WorkerBuildContext buildContext, Properties properties)`
    `static boolean` | `isConfiguredAsSync(Properties properties)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### createBackend

          public static BackendQueueProcessor createBackend(IndexManager indexManager,
                                                            WorkerBuildContext buildContext,
                                                            Properties properties)

      Parameters:
        `indexManager` - the index manager
        `buildContext` - context giving access to required meta data
        `properties` - all configuration properties
      Returns:
        A new `BackendQueueProcessor` for the given index manager.

    - #### createBackend

          public static BackendQueueProcessor createBackend(String backendName,
                                                            IndexManager indexManager,
                                                            WorkerBuildContext buildContext,
                                                            Properties properties)

      Parameters:
        `backendName` - the name of the backend to be created
        `indexManager` - the index manager
        `buildContext` - context giving access to required meta data
        `properties` - all configuration properties
      Returns:
        A new `BackendQueueProcessor` for the given index manager.

    - #### isConfiguredAsSync

          public static boolean isConfiguredAsSync(Properties properties)

      Parameters:
        `properties` - the configuration to parse
      Returns:
        true if the configuration uses sync indexing

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved